Skip to main content
GET
/
agents
/
{name}
JavaScript
import Reminix from '@reminix/sdk';

const client = new Reminix({
  apiKey: process.env['REMINIX_API_KEY'], // This is the default and can be omitted
});

const agent = await client.agents.retrieve('name');

console.log(agent.id);
{
  "id": "<string>",
  "projectId": "<string>",
  "name": "<string>",
  "stack": "<string>",
  "status": "active",
  "description": "<string>",
  "inputSchema": {
    "type": "<string>",
    "title": "<string>",
    "description": "<string>",
    "default": "<unknown>",
    "enum": [
      null
    ],
    "properties": {},
    "required": [
      "<string>"
    ],
    "items": "<unknown>"
  },
  "outputSchema": {
    "type": "<string>",
    "title": "<string>",
    "description": "<string>",
    "default": "<unknown>",
    "enum": [
      null
    ],
    "properties": {},
    "required": [
      "<string>"
    ],
    "items": "<unknown>"
  },
  "capabilities": {
    "streaming": true
  },
  "type": "prompt",
  "tags": [
    "<string>"
  ],
  "metadata": {},
  "exampleInput": {},
  "discoveredAt": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

API Key or Personal Access Token (PAT). When using PAT, include X-Project header.

Path Parameters

name
string
required

Agent name

Minimum string length: 1
Pattern: ^[a-zA-Z0-9_-]+$

Response

Agent details

id
string
required

Unique agent ID

projectId
string
required

Project ID

name
string
required

Agent name

stack
string
required

Agent stack (e.g., "python", "typescript", "python-langchain")

status
enum<string>
required

Agent status

Available options:
active,
inactive
description
string | null
required

Agent description

inputSchema
object
required

JSON Schema for agent input

outputSchema
object
required

JSON Schema for agent output

capabilities
object
required

Agent capabilities (e.g. streaming)

type
enum<string> | null
required

Agent type (e.g., prompt, chat, task, rag, thread, workflow); null if not set

Available options:
prompt,
chat,
task,
thread,
workflow
tags
string[] | null
required

Tags for categorization

metadata
object
required

Extra metadata from runtime

exampleInput
object
required

Example input for code snippets

discoveredAt
string | null
required

When the agent was last discovered from a deployment

createdAt
string
required

Creation timestamp

updatedAt
string
required

Last update timestamp